perl-version-0.99.07-3.el7.x86_64.rpm


Advertisement

Description

perl-version - Perl extension for Version Objects

Property Value
Distribution CentOS 7
Repository CentOS x86_64
Package name perl-version
Package version 0.99.07
Package release 3.el7
Package architecture x86_64
Package type rpm
Installed size 213.83 KB
Download size 83.93 KB
Official Mirror mirror.centos.org
Version objects were added to Perl in 5.10. This module implements version
objects for older version of Perl and provides the version object API for
all versions of Perl. All previous releases before 0.74 are deprecated and
should not be used due to incompatible API changes. Version 0.77 introduces
the new 'parse' and 'declare' methods to standardize usage. You are
strongly urged to set 0.77 as a minimum in your code.

Alternatives

Package Version Architecture Repository
perl-version - - -

Requires

Name Value
libc.so.6(GLIBC_2.4)(64bit) -
perl >= 5.10
perl >= 5.006002
perl(:MODULE_COMPAT_5.16.3) -
perl(Config) -
perl(POSIX) -
perl(UNIVERSAL) -
perl(XSLoader) -
perl(constant) -
perl(if) -
perl(overload) -
perl(strict) -
perl(vars) -
rtld(GNU_HASH) -

Provides

Name Value
perl(charstar) -
perl(version) = 0.9907
perl(version::regex) = 0.9907
perl(version::vpp) = 0.9907
perl-version = 0.99.07-3.el7
perl-version(x86-64) = 0.99.07-3.el7

Download

Type URL
Binary Package perl-version-0.99.07-3.el7.x86_64.rpm
Source Package perl-version-0.99.07-3.el7.src.rpm

Install Howto

Install perl-version rpm package:

# yum install perl-version

Files

Path
/usr/lib64/perl5/vendor_perl/version.pm
/usr/lib64/perl5/vendor_perl/version.pod
/usr/lib64/perl5/vendor_perl/auto/version/
/usr/lib64/perl5/vendor_perl/auto/version/vxs/vxs.so
/usr/lib64/perl5/vendor_perl/version/Internals.pod
/usr/lib64/perl5/vendor_perl/version/regex.pm
/usr/lib64/perl5/vendor_perl/version/vpp.pm
/usr/lib64/perl5/vendor_perl/version/vxs.pm
/usr/share/doc/perl-version-0.99.07/Changes
/usr/share/doc/perl-version-0.99.07/README
/usr/share/man/man3/version.3pm.gz
/usr/share/man/man3/version::Internals.3pm.gz

Changelog

2016-09-27 - Petr Pisar <ppisar@redhat.com> - 3:0.99.07-3
- Support making version objects from tainted strings (bug #1378885)
2014-01-24 - Daniel Mach <dmach@redhat.com> - 3:0.99.07-2
- Mass rebuild 2014-01-24
2014-01-15 - Petr Šabata <contyk@redhat.com> - 3:0.99.07-1
- 0.9907 bugfix bump
2014-01-07 - Petr Šabata <contyk@redhat.com> - 3:0.99.06-1
- 0.9906 bump
2013-09-10 - Petr Šabata <contyk@redhat.com> - 3:0.99.04-2
- Release bump to (hopefully) fix the build
2013-09-10 - Petr Šabata <contyk@redhat.com> - 3:0.99.04-1
- 0.9904 bump
2013-08-26 - Petr Šabata <contyk@redhat.com> - 3:0.99.03-1
- 0.9903 bump
- Prefer %global over %define
2013-08-04 - Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3:0.99.02-291
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild
2013-07-15 - Petr Pisar <ppisar@redhat.com> - 3:0.99.02-290
- Increase release to favour standalone package
2013-07-12 - Petr Pisar <ppisar@redhat.com> - 3:0.99.02-3
- Perl 5.18 rebuild
>>>>>>> fc/master

See Also

Package Description
perltidy-20121207-3.el7.noarch.rpm Tool for indenting and reformatting Perl scripts
pesign-0.109-10.el7.x86_64.rpm Signing utility for UEFI binaries
pexpect-2.3-11.el7.noarch.rpm Pure Python Expect-like module
phonon-4.6.0-10.el7.i686.rpm Multimedia framework api
phonon-4.6.0-10.el7.x86_64.rpm Multimedia framework api
phonon-backend-gstreamer-4.6.3-3.el7.i686.rpm Gstreamer phonon backend
phonon-backend-gstreamer-4.6.3-3.el7.x86_64.rpm Gstreamer phonon backend
phonon-devel-4.6.0-10.el7.i686.rpm Developer files for phonon
phonon-devel-4.6.0-10.el7.x86_64.rpm Developer files for phonon
php-5.4.16-46.el7.x86_64.rpm PHP scripting language for creating dynamic web sites
php-bcmath-5.4.16-46.el7.x86_64.rpm A module for PHP applications for using the bcmath library
php-cli-5.4.16-46.el7.x86_64.rpm Command-line interface for PHP
php-common-5.4.16-46.el7.x86_64.rpm Common files for PHP
php-dba-5.4.16-46.el7.x86_64.rpm A database abstraction layer module for PHP applications
php-devel-5.4.16-46.el7.x86_64.rpm Files needed for building PHP extensions
Advertisement
Advertisement